#
# spec file for package ghc-amazonka-rds
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name amazonka-rds
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        7.13
Summary:        Amazon Relational Database Service SDK
License:        MPL-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-amazonka-core-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-amazonka-test-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
Amazon Relational Database Service Amazon Relational Database Service (Amazon
RDS) is a web service that makes it easier to set up, operate, and scale a
relational database in the cloud. It provides cost-efficient, resizeable
capacity for an industry-standard relational database and manages common
database administration tasks, freeing up developers to focus on what makes
their applications and businesses unique. Amazon RDS gives you access to the
capabilities of a MySQL, MariaDB, PostgreSQL, Microsoft SQL Server, Oracle, or
Amazon Aurora database server. These capabilities mean that the code,
applications, and tools you already use today with your existing databases work
with Amazon RDS without modification. Amazon RDS automatically backs up your
database and maintains the database software that powers your DB instance.
Amazon RDS is flexible: you can scale your database instance's compute
resources and storage capacity to meet your application's demand. As with all
Amazon Web Services, there are no up-front investments, and you pay only for
the resources you use. This interface reference for Amazon RDS contains
documentation for a programming or command line interface you can use to manage
Amazon RDS. Note that Amazon RDS is asynchronous, which means that some
interfaces might require techniques such as polling or callback functions to
determine when a command has been applied. In this reference, the parameter
descriptions indicate whether a command is applied immediately, on the next
instance reboot, or during the maintenance window. The reference structure is
as follows, and we list following some related topics from the user guide.
__Amazon RDS API Reference__ - For the alphabetical list of API actions, see
<http://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_Operations.html
API Actions>. - For the alphabetical list of data types, see
<http://docs.aws.amazon.com/AmazonRDS/latest/APIReference/API_Types.html Data
Types>. - For a list of common query parameters, see
<http://docs.aws.amazon.com/AmazonRDS/latest/APIReference/CommonParameters.html
Common Parameters>. - For descriptions of the error codes, see
<http://docs.aws.amazon.com/AmazonRDS/latest/APIReference/CommonErrors.html
Common Errors>. __Amazon RDS User Guide__ - For a summary of the Amazon RDS
interfaces, see
<http://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/Welcome.html#Welcome.Interfaces
Available RDS Interfaces>. - For more information about how to use the Query
API, see
<http://docs.aws.amazon.com/AmazonRDS/latest/UserGuide/Using_the_Query_API.html
Using the Query API>.

The types from this library are intended to be used with
<http://hackage.haskell.org/package/amazonka amazonka>, which provides
mechanisms for specifying AuthN/AuthZ information and sending requests.

Use of lenses is required for constructing and manipulating types.
This is due to the amount of nesting of AWS types and transparency regarding
de/serialisation into more palatable Haskell values. The provided lenses should
be compatible with any of the major lens libraries such as
<http://hackage.haskell.org/package/lens lens> or
<http://hackage.haskell.org/package/lens-family-core lens-family-core>.

See "Network.AWS.RDS" or <https://aws.amazon.com/documentation/ the AWS
Documentation> to get started.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
